
# Slot: node property


A grouping for any property that holds between a node and a value

URI: [biolink:node_property](https://w3id.org/biolink/vocab/node_property)

## Domain and Range

[NamedThing](NamedThing.md) ->  <sub>OPT</sub> [String](String.md)

## Parents


## Children

 *  [aggregate statistic](aggregate_statistic.md)
 *  [id](association_id.md)
 *  [category](category.md)
 *  [creation date](creation_date.md)
 *  [description](description.md)
 *  [filler](filler.md)
 *  [full name](full_name.md)
 *  [genome build](genome_build.md)
 *  [has biological sequence](has_biological_sequence.md)
 *  [has chemical formula](has_chemical_formula.md)
 *  [has gene](has_gene.md)
 *  [has zygosity](has_zygosity.md)
 *  [id](id.md)
 *  [interbase coordinate](interbase_coordinate.md)
 *  [iri](iri.md)
 *  [latitude](latitude.md)
 *  [longitude](longitude.md)
 *  [name](name.md)
 *  [phase](phase.md)
 *  [synonym](synonym.md)
 *  [systematic synonym](systematic_synonym.md)
 *  [timepoint](timepoint.md)
 *  [update date](update_date.md)

## Used by

 * [RNAProduct](RNAProduct.md)
 * [RNAProductIsoform](RNAProductIsoform.md)
 * [ActivityAndBehavior](ActivityAndBehavior.md)
 * [AdministrativeEntity](AdministrativeEntity.md)
 * [AnatomicalEntity](AnatomicalEntity.md)
 * [Attribute](Attribute.md)
 * [BiologicalEntity](BiologicalEntity.md)
 * [BiologicalProcess](BiologicalProcess.md)
 * [BiologicalProcessOrActivity](BiologicalProcessOrActivity.md)
 * [BiologicalSex](BiologicalSex.md)
 * [Biosample](Biosample.md)
 * [Carbohydrate](Carbohydrate.md)
 * [Case](Case.md)
 * [Cell](Cell.md)
 * [CellLine](CellLine.md)
 * [CellularComponent](CellularComponent.md)
 * [ChemicalSubstance](ChemicalSubstance.md)
 * [ClinicalEntity](ClinicalEntity.md)
 * [ClinicalIntervention](ClinicalIntervention.md)
 * [ClinicalModifier](ClinicalModifier.md)
 * [ClinicalTrial](ClinicalTrial.md)
 * [CodingSequence](CodingSequence.md)
 * [ConfidenceLevel](ConfidenceLevel.md)
 * [Device](Device.md)
 * [Disease](Disease.md)
 * [DiseaseOrPhenotypicFeature](DiseaseOrPhenotypicFeature.md)
 * [Drug](Drug.md)
 * [DrugExposure](DrugExposure.md)
 * [Environment](Environment.md)
 * [EnvironmentalFeature](EnvironmentalFeature.md)
 * [EnvironmentalProcess](EnvironmentalProcess.md)
 * [EvidenceType](EvidenceType.md)
 * [Exon](Exon.md)
 * [FrequencyValue](FrequencyValue.md)
 * [Gene](Gene.md)
 * [GeneFamily](GeneFamily.md)
 * [GeneOntologyClass](GeneOntologyClass.md)
 * [GeneOrGeneProduct](GeneOrGeneProduct.md)
 * [GeneProduct](GeneProduct.md)
 * [GeneProductIsoform](GeneProductIsoform.md)
 * [Genome](Genome.md)
 * [GenomicEntity](GenomicEntity.md)
 * [Genotype](Genotype.md)
 * [GenotypicSex](GenotypicSex.md)
 * [GeographicLocation](GeographicLocation.md)
 * [GeographicLocationAtTime](GeographicLocationAtTime.md)
 * [GrossAnatomicalStructure](GrossAnatomicalStructure.md)
 * [Haplotype](Haplotype.md)
 * [IndividualOrganism](IndividualOrganism.md)
 * [InformationContentEntity](InformationContentEntity.md)
 * [LifeStage](LifeStage.md)
 * [MacromolecularComplex](MacromolecularComplex.md)
 * [MacromolecularMachine](MacromolecularMachine.md)
 * [Metabolite](Metabolite.md)
 * [MicroRNA](MicroRNA.md)
 * [MolecularActivity](MolecularActivity.md)
 * [MolecularEntity](MolecularEntity.md)
 * [NamedThing](NamedThing.md)
 * [NoncodingRNAProduct](NoncodingRNAProduct.md)
 * [Occurrent](Occurrent.md)
 * [Onset](Onset.md)
 * [OntologyClass](OntologyClass.md)
 * [OrganismTaxon](OrganismTaxon.md)
 * [OrganismalEntity](OrganismalEntity.md)
 * [Pathway](Pathway.md)
 * [Phenomenon](Phenomenon.md)
 * [PhenotypicFeature](PhenotypicFeature.md)
 * [PhenotypicSex](PhenotypicSex.md)
 * [PhysiologicalProcess](PhysiologicalProcess.md)
 * [PlanetaryEntity](PlanetaryEntity.md)
 * [PopulationOfIndividualOrganisms](PopulationOfIndividualOrganisms.md)
 * [Procedure](Procedure.md)
 * [Protein](Protein.md)
 * [ProteinIsoform](ProteinIsoform.md)
 * [Provider](Provider.md)
 * [Publication](Publication.md)
 * [RelationshipType](RelationshipType.md)
 * [SequenceVariant](SequenceVariant.md)
 * [SeverityValue](SeverityValue.md)
 * [Transcript](Transcript.md)
 * [Treatment](Treatment.md)
 * [Zygosity](Zygosity.md)
